Bug 17576 - Add HSBND_FREQ authorised value to translated installer sample files
Summary: Add HSBND_FREQ authorised value to translated installer sample files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Alex Sassmannshausen
QA Contact: Testopia
URL:
Keywords:
Depends on: 5670
Blocks: 17543
  Show dependency treegraph
 
Reported: 2016-11-07 22:12 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17576: Add housebound mandatory auth_values. (6.52 KB, patch)
2016-11-08 14:21 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review
Bug 17576: Add housebound mandatory auth_values. (6.58 KB, patch)
2016-11-18 10:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-11-07 22:12:15 UTC
The new authorised value HSBND_FREQ was only added to the English installer sample file - it should also be added to all the others.
Comment 1 Jonathan Druart 2016-11-08 08:20:44 UTC
This need to be fixed before the next release.
Comment 2 Alex Sassmannshausen 2016-11-08 14:21:20 UTC
Created attachment 57327 [details] [review]
Bug 17576: Add housebound mandatory auth_values.

* installer/data/mysql/de-DE/mandatory/auth_values.sql: Add values.
* installer/data/mysql/es-ES/mandatory/auth_values.sql: Add values.
* installer/data/mysql/fr-CA/obligatoire/auth_values.sql: Add values.
* installer/data/mysql/fr-FR/1-Obligatoire/authorised_values.sql: Add
  values.
* installer/data/mysql/it-IT/necessari/auth_val.sql: Add values.
* installer/data/mysql/nb-NO/1-Obligatorisk/auth_values.sql: New file.
* installer/data/mysql/pl-PL/mandatory/auth_values.sql: New file.
* installer/data/mysql/ru-RU/mandatory/auth_values.sql: New file.
* installer/data/mysql/uk-UA/mandatory/auth_values.sql: New file.
Comment 3 Alex Sassmannshausen 2016-11-08 14:22:46 UTC
The added patch adds HSBND_FREQ to the other mandatory sql folders.

I'm not 100% au fait with how the other translations work — so please let me know if you think I made a mistake!

Alex
Comment 4 Jonathan Druart 2016-11-17 09:12:08 UTC
This is blocker for the release, upping the severity.
Comment 5 Jonathan Druart 2016-11-18 10:44:45 UTC
Created attachment 57639 [details] [review]
Bug 17576: Add housebound mandatory auth_values.

* installer/data/mysql/de-DE/mandatory/auth_values.sql: Add values.
* installer/data/mysql/es-ES/mandatory/auth_values.sql: Add values.
* installer/data/mysql/fr-CA/obligatoire/auth_values.sql: Add values.
* installer/data/mysql/fr-FR/1-Obligatoire/authorised_values.sql: Add
  values.
* installer/data/mysql/it-IT/necessari/auth_val.sql: Add values.
* installer/data/mysql/nb-NO/1-Obligatorisk/auth_values.sql: New file.
* installer/data/mysql/pl-PL/mandatory/auth_values.sql: New file.
* installer/data/mysql/ru-RU/mandatory/auth_values.sql: New file.
* installer/data/mysql/uk-UA/mandatory/auth_values.sql: New file.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jonathan Druart 2016-11-18 10:45:06 UTC
All sql files inserted with success.
Skipping QA.
Comment 7 Kyle M Hall 2016-11-18 13:55:26 UTC
Pushed to master for 16.11, thanks Alex!
Comment 8 Mason James 2016-12-14 11:22:42 UTC
New feature, skipping for 16.05.x